Subject: RE: An irritated cygwin newbie
From: "Suhaib M. Siddiqi" <[email-masked]>
To: "Jon M. Taylor" <[email-masked]>, "Suhaib M. Siddiqi" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 18 Aug 1999 22:19:22 -0400

>
> > By the way, I do not think you can do a 100% native port of GGI to Win32
> > because all the libGII input stuff uses Unices...
>
> 	The input device stuff is far less performance critical than the
> graphics stuff.
>
> > You will have to rewrite
> > the
> > whole libGGI and 75% of libGGI.
>
> 	I doubt that very much, but we will certainly see.  Now that I know
> that a port is already up and running, I should be able to a lot more,
> and do that much more easily.  Thanks for the heads-up.  I can't wait to
> see GGIMesa running on top of a Direct3D target on Win32!
>
> Jon
>

Check your own URL and you would have found in Hune 1999 that libGGI for
Cygwin is available.  Since you do not read your own GGI-project web pages
here is the link for you to get precompiled binaries of libGGI for Cygwin.
ftp://sourceware.cygnus.com/pub/cygwin/xfree

John Fortin and I had been working to port XGGI to Cygwin. Due to lack of
proper documentations, it is took a long time figure out we would need a
DirectX/DirectInput for libGII, so XGGI can work as a stand-alone X-server.

Suhaib

--
Want to unsubscribe from this list?
Send a message to [email-masked]